### Type Parameters

### Hierarchy

- FeatureHashOptions

## Index

### Properties

- accuracy
- defaultValues
- encodeStyles
- properties
- propertiesType
- setStyle

## Properties

### accuracy

accuracy: number

- Defined in src/format/FeatureHash.js:46

The encoding and decoding accuracy. Optional. Default value is 1.

### defaultValues

defaultValues: Object

- Defined in src/format/FeatureHash.js:47

defaultValues.

### encodeStyles

encodeStyles: boolean

- Defined in src/format/FeatureHash.js:48

Encode styles. Optional.

### properties

properties: ((arg0: Feature<Geometry>) => Object)

- Defined in src/format/FeatureHash.js:49

#### Type declaration

- - (arg0: Feature<Geometry>): Object

  - A function that returns serializable properties for a feature. Optional. By default the feature properties (as returned by `feature.getProperties()`) are used. To be serializable the returned properties should be numbers or strings.

    #### Parameters

    - ##### arg0: Feature<Geometry>

    #### Returns Object

### propertiesType

propertiesType: Object

- Defined in src/format/FeatureHash.js:58

### setStyle

setStyle: boolean

- Defined in src/format/FeatureHash.js:53

Determines whether the style defined for each feature is read and converted into: A) an `ol.style.Style` object set in the feature, or B) an object with key:values that defines the style properties set in the feature and for the `ngeo.misc.FeatureHelper` to use to style the feature with.

Generated using TypeDoc